Page MenuHomePhabricator

LZ4_compress depreciated
Open, NormalPublic

Description

While building EFL 1.19.1 I noticed these errors:
warning: ‘LZ4_compress’ is deprecated: use LZ4_compress_default() instead [-Wdeprecated-declarations]
warning: ‘LZ4_compressHC’ is deprecated: use LZ4_compress_HC() instead [-Wdeprecated-declarations]

Might be the same with LZ4_compressBound as well, but if there is I didn't notice it yet..

AJSlye created this task.May 22 2017, 7:45 AM
zmike added a project: efl.Aug 22 2017, 3:36 PM
bu5hm4n triaged this task as Normal priority.Jun 11 2018, 2:16 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:57 AM
q66 edited projects, added efl; removed Restricted Project.Jun 11 2018, 8:00 AM
bu5hm4n edited projects, added efl: networking; removed efl.Jun 12 2018, 4:29 AM
bu5hm4n edited projects, added efl: data types; removed efl: networking.
bu5hm4n added a project: Restricted Project.